Change log for gworkspace package in Ubuntu

125 of 25 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-01-27
Deleted in disco-proposed (Reason: moved to release)
gworkspace (0.9.4-1build2) disco; urgency=medium

  * No-change rebuild for gnustep soname changes.

 -- Matthias Klose <email address hidden>  Thu, 17 Jan 2019 19:51:16 +0000

Available diffs

Superseded in disco-release on 2019-01-27
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2018-02-12
Deleted in bionic-proposed (Reason: moved to release)
gworkspace (0.9.4-1build1) bionic; urgency=medium

  * No-change rebuild for gnustep-gui soname change.

 -- Matthias Klose <email address hidden>  Tue, 30 Jan 2018 06:05:15 +0000
Superseded in bionic-release on 2018-02-12
Deleted in bionic-proposed on 2018-02-14 (Reason: moved to release)
gworkspace (0.9.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Bump to 11.
  * debian/control (Uploaders): Change G├╝rkan's family name as requested.
    (Build-Depends): Require debhelper >= 11 and drop autotools-dev.
    Remove imagemagick which was only needed for the icon  conversion.
    Require gnustep-make >= 2.7.0-3 for noopt handling.  Remove obsolete
    libgnustep-gui-dev version requirement.  Add libpopplerkit-dev for the
    PDF inspector.
    (Depends): Remove obsolete dpkg dependency.
    (gworkspace-common): Remove obsolete Breaks/Replaces.
    (gnustep-apps-wrappers): Suggest calibre and coccinella.
    (gworkspace-dbg): Remove in favour of automatic -dbgsym packages.
    (Vcs-Git, Vcs-Browser): Use secure/canonical URIs.
    (Standards-Version): Claim compliance with 4.1.2 as of this release.
  * debian/gworkspace.app.install:
  * debian/gworkspace.app.links:
  * debian/gworkspace-common.install: Remove .xpm icon, resizer tool and
    thumbnailer service which got merged into the respective bundles.
    Handle the addition of the PDF inspector.
  * debian/mdfinder.app.install: Remove .xpm icon.
  * debian/gworkspace-apps-wrappers.install:
  * debian/gworkspace-apps-wrappers.links: Add calibre and coccinella.
  * debian/rules: Use default hardening and dh sequence.  Restore
    maintainer LDFLAGS and install all libraries in /usr/lib/gworkspace.
    (override_dh_auto_build): Don't generate XPM icons.  Use dh_auto_build
    instead of $(MAKE) to actually get parallel building.
    (override_dh_auto_install): Pass GNUSTEP_SYSTEM_LIBRARIES set to the
    desired value to overcome gnustep-make's inability to handle private
    libraries/frameworks.
    (override_dh_installman): Pass -p explicitly so that the "all" buildd
    does not create dangling symlinks (Closes: #841780).  Perhaps a better
    alternative is to rename the override as -arch or just move the
    manpages to gworkspace-common.
    (override_dh_fixperms): Handle .plist files as well.
    (override_dh_missing): Pass --list-missing.
    (override_dh_strip): Pass --dbgsym-migration.
    (override_dh_makeshlibs): Pass -n; all libraries are private.
  * debian/patches/link-libs.patch: New, link all needed libraries.
  * debian/patches/spelling-errors.patch: New, fix some spelling errors.
  * debian/patches/incompatible-pointer-types.patch:
  * debian/patches/misc-compiler-warnings.patch: New patches.
  * debian/patches/ftbfs-hurd.patch: New; fix FTBFS on GNU/Hurd, thanks
    Svante Signell (Closes: #767847).
  * debian/patches/popplerkit.patch: New; resurrect ancient patch by
    Hubert Chathi to use PopplerKit for the PDF inspector.
  * debian/patches/series: New file.
  * debian/gworkspace-apps-wrappers.maintscript:
  * debian/gworkspace.app.maintscript:
  * debian/mdfinder.app.mainscript: Delete; not necessary anymore.
  * debian/source/options: Remove .xpm files.
  * debian/mdfinder.app.menu: Delete.
  * debian/gworkspace.app.lintian-overrides: Delete, no longer needed.
  * debian/mdfinder.app.lintian-overrides: New; some false positives.
  * debian/GWorkspace.1: Fix typo and remove section about resizer.
  * debian/changelog: Whitespace cleanup.
  * debian/copyright: Update copyright years; use https for format URL.

 -- Yavor Doganov <email address hidden>  Sun, 24 Dec 2017 09:18:38 +0200
Superseded in bionic-release on 2017-12-24
Deleted in bionic-proposed on 2017-12-26 (Reason: moved to release)
gworkspace (0.9.3-1build2) bionic; urgency=medium

  * No-change rebuild for gnustep-base soname change.

 -- Matthias Klose <email address hidden>  Tue, 07 Nov 2017 08:25:59 +0000

Available diffs

Superseded in bionic-release on 2017-11-22
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
gworkspace (0.9.3-1build1) yakkety; urgency=medium

  * No-change rebuild for gnustep-gui 0.25

 -- Matthias Klose <email address hidden>  Thu, 01 Sep 2016 21:11:49 +0000
Superseded in yakkety-release on 2016-09-02
Deleted in yakkety-proposed on 2016-09-03 (Reason: moved to release)
gworkspace (0.9.3-1) unstable; urgency=low

  * New upstream release (Closes: #805019).
  * Bump Standards-Version to 3.9.6 in debian/control file.
  * Update uploader (myself) address in debian/control file.
  * Don't hardcode LDFLAGS in debian/rules (let dpkg-buildflags do the job).
  * use dh $@ --with autotools-dev in debian/rules file,
    and thus add autotool-dev to Build-Depends in debian/control file.
  * Provide a debian/source/options file with a dpkg-source argument to ignore
    config.log, config.status, config.h, and GNUmakefile autogenerated files
    (and thus remove dh_clean_overrides target in debian/rules file).
  * According to debian policy 9.1.1,move application wrappers and
    Resources dirs to /usr/share/GNUstep/ subdirs:
    - update and provide new debian/*.install files
    - use dh_symlink and dpkg-maintainer-script (and thus add dependency
      to dpkg (>=1.17.4) to create symlink from old to new locations.
      (provide new debian/*.links and debian/*.maintscript)
    - provide a new private script (debian/generate.sh) to autogenerate
      *.install, *.links and *.maintscript files.
    - clean corresponding *.lintian-overrides files.
    - remove old preinst script.
    - clean debian/rules file.from old unneeded code (Closes: #806044)..
  * Override dh_shlibdeps in debian/rules to help it to find private libs.
  * Remove debian/patches/link-libs.patch: not needed anymore.
  * Don't move framework libs (or symlinks) in /usr/lib/gworkspace anymore:
    let them in /usr/lib where gworkstace app and tools looking for then
  * update gworkspace.lintian-overrides because we don't split private
    frameworks into shared lib packages:
    - add package-name-doesnt-match-sonames tag 
    - add non-dev-pkg-with-shlib-symlink tag
  * According with lintian and #741573 don't install menu file any longer.

 -- Eric Heintzmann <email address hidden>  Fri, 06 Nov 2015 19:20:01 +0100

Available diffs

Superseded in yakkety-release on 2016-04-27
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed (Reason: moved to release)
gworkspace (0.9.2-1) unstable; urgency=medium


  * New upstream release:
    - Compatible with current GNUstep libraries (Closes: #749757).
    - Moving big folders is faster (Closes: #315269).
    - Correct Attrbitues inspector behaviour (Closes: #315279).
  * Ack NMUs, thanks gregor herrmann and Colin Watson.
  * debian/control (Maintainer): Set to the GNUstep team.
    (Uploaders): Add myself and remove Hubert as per his request.
    (Build-Depends): Bump debhelper requirement to >= 9.  Require
    libgnustep-gui-dev >= 0.24.  Remove libpopplerkit-dev (PDFKit is
    needed, which is not in Debian) and file.  Add libsqlite3-dev and
    libpreferencepanes-dev for GWMetadata.  Add imagemagick for the icons
    conversion.
    (mdfinder.app, gworkspace-common, gworkspace-dbg): New packages;
    enable GWMetadata and provide a -dbg package.
    (Vcs-Git, Vcs-Browser): New fields.
    (Section): Remove unnecessary binary package fields.
    (Depends): Add ${misc:Depends} and ${gnustep:Depends}.
    (Conflicts, Replaces): Remove; obsolete.
    (Recommends): Replace preview.app with price.app and preferences.app
    with systempreferences.app (Closes: #564677).  Move wrapperfactory.app
    to gworkspace-apps-wrappers' Recommends.
    (Standards-Version): Claim compliance with 3.9.5 as of this release.
  * debian/watch: Track ftp.gnustep.org.
  * debian/compat: Set to 9.
  * debian/patches/debian-changes-0.8.8-1: Delete; spurious result from
    improper clean.
  * debian/patches/667874.patch: Remove; fixed upstream.
  * debian/patches/link-libs.patch: New, link all needed libraries.
  * debian/patches/series: Update.
  * debian/rules: Rewrite for modern dh.  Move all images to /usr/share.
    Enable hardening.  Create symlinks for the manpages.
  * debian/gworkspace.app.install:
  * debian/mdfinder.app.install:
  * debian/mdfinder.app.manpages:
  * debian/mdfinder.app.menu:
  * debian/MDFinder.desktop:
  * debian/MDFinder.1:
  * debian/mdfind.1: New file.
  * debian/ClipBook.1:
  * debian/ClipBook.xpm:
  * debian/Desktop.app.1:
  * debian/Desktop.app.xpm:
  * debian/GWRemote.1:
  * debian/GWRemote.xpm:
  * debian/GWorkspace.xpm:
  * debian/gworkspace.app.lintian-overrides:
  * debian/clipbook.app.lintian-overrides:
  * debian/clipbook.app.menu:
  * debian/clipbook.app.postinst.debhelper:
  * debian/clipbook.app.postrm.debhelper: Delete.
  * debian/source/lintian-overrides: New file; override
    configure-generated-file-in-source.
  * debian/gwoskspace-apps-wrappers.install: New file; install the
    apps wrappers under /usr/lib, not /lib.  Thanks Andreas Beckmann
    (Closes: #689545).
  * debian/preinst: New file; handle the move of Resources to /usr/share.
  * debian/gworkspace.app.README.Debian: Delete wrong reference to the
    "defaults" tool which has been in /usr/bin since quite some time.
    Thanks Michael P. Soulier (Closes: #728265).
  * debian/gworkspace.app.menu: Fix title.
  * debian/GWorkspace.desktop: Make it valid, add Keywords field and use
    full path of the icon.
  * debian/GWorkspace.1: Provide explanation for the supporting programs.
  * debian/copyright: Rewrite in format 1.0.

 -- Yavor Doganov <email address hidden>  Thu, 17 Jul 2014 09:43:51 +0300
Superseded in vivid-release on 2014-10-28
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
gworkspace (0.8.8-1.2build1) utopic; urgency=medium

  * Rebuild against libgnustep-gui0.24.
 -- Colin Watson <email address hidden>   Thu, 28 Aug 2014 12:46:47 -0700
Superseded in utopic-release on 2014-08-29
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
gworkspace (0.8.8-1.2) unstable; urgency=low


  * Non-maintainer upload.
  * Re-encode changelog entry for 0.8.7-1 as UTF-8 (closes: #694421).

 -- Colin Watson <email address hidden>  Tue, 04 Jun 2013 11:10:22 +0100
Superseded in saucy-release on 2013-06-10
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
gworkspace (0.8.8-1.1ubuntu1) raring; urgency=low

  * debian/changelog: Fix mixed encoding.
  * Drop temporary debhelper files.
 -- Benjamin Drung <email address hidden>   Mon, 26 Nov 2012 13:10:32 +0100
Deleted in raring-proposed on 2012-11-24 (Reason: moved to release)
gworkspace (0.8.8-1.1build1) raring; urgency=low

  * Rebuild for gnustep-gui 0.22 transition.
 -- Benjamin Drung <email address hidden>   Wed, 21 Nov 2012 16:49:30 +0100
Superseded in raring-release on 2012-11-27
Obsolete in quantal-release on 2015-04-24
gworkspace (0.8.8-1.1) unstable; urgency=low


  * Non-maintainer upload.
  * Fix "FTBFS with GCC-4.7": add patch from Yavor Doganov
    (Closes: #667874)

 -- gregor herrmann <email address hidden>  Sat, 26 May 2012 18:51:22 +0200
Superseded in quantal-release on 2012-05-29
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
gworkspace (0.8.8-1build2) oneiric; urgency=low

  * Rebuild for gnustep-base 0.22 and gnustep-gui 0.20.
 -- Colin Watson <email address hidden>   Mon, 11 Jul 2011 16:42:14 +0100

Available diffs

Superseded in oneiric-release on 2011-07-11
Obsolete in natty-release on 2013-06-04
gworkspace (0.8.8-1build1) natty; urgency=low

  * Rebuild for the GNUstep transition.
 -- Luca Falavigna <email address hidden>   Sat, 30 Oct 2010 02:12:41 +0200

Available diffs

Superseded in natty-release on 2010-10-30
gworkspace (0.8.8-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.
  * Change section to gnustep.

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
gworkspace (0.8.6-1build2) karmic; urgency=low

  * Rebuild for the GNUstep transition.

 -- Luca Falavigna <email address hidden>   Mon, 25 May 2009 07:34:50 +0000

Available diffs

Superseded in karmic-release on 2009-05-25
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
gworkspace (0.8.6-1build1) intrepid; urgency=low

  * Rebuild for GNUstep transition.

 -- Luca Falavigna <email address hidden>   Sun, 06 Jul 2008 15:00:02 +0200

Available diffs

Superseded in intrepid-release on 2008-07-06
Obsolete in hardy-release on 2015-04-24
gworkspace (0.8.6-1) unstable; urgency=low

  * New upstream version.
  * GNUstep transition.
    + Updated debian/rules.
  * debian/compat: Bump version, no changes needed.
  * Updated debian/copyright.
  * Updated debian menu files.
  * Added a desktop file.
  * Removed clipbook.app package.
  * Removed ggv.app from gnustep-apps-wrappers. (Closes: #384231)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  05 Nov 2007 19:23:38 +0000
Superseded in hardy-release on 2007-11-05
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
gworkspace (0.8.3-2) unstable; urgency=low

  * Apply patch for popplerkit instead of pdfkit from Hubert.
  * Add Hubert to Uploaders.

Superseded in feisty-release on 2007-01-12
Obsolete in edgy-release on 2008-06-19
gworkspace (0.7.0-1.2ubuntu1) edgy; urgency=low

  * Rebuild against latest libgnustep-gui-dev in edgy.
  * debian/control: build-depend on libgnustep-gui-dev instead of
    libgnustep-gui0.10-dev
  * Closes malone #65374

 -- Michael Bienia <email address hidden>   Thu, 12 Oct 2006 12:42:00 +0200
Superseded in edgy-release on 2006-10-15
gworkspace (0.7.0-1.2) unstable; urgency=low

  * Remove me as uploader.
  * Do not write to user directory during build. Closes: #355570.

Superseded in edgy-release on 2006-08-17
Obsolete in dapper-release on 2011-09-06
gworkspace (0.7.0-1ubuntu2) dapper; urgency=low

  * debian/control: Updated build-depends for new GNUstep version
Superseded in dapper-release on 2006-02-09
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
gworkspace (0.7.0-1ubuntu1) breezy; urgency=low


  * Applied patch to fix a missing include (Closes: bts #327430)

 -- Stephan Hermann <email address hidden>  Wed, 12 Oct 2005 23:11:04 +0200
Obsolete in hoary-release on 2008-03-19
gworkspace (0.6.5-3) unstable; urgency=low


  * gworkspace.app recommends gworkspace-apps-wrappers not apps-wrappers.
  * gworkspace-apps-wrappers recommends gworkspace.app not gworkspace.
  * gwremote.app suggests gworkspace.app not gworkspace.

 -- Eric Heintzmann <email address hidden>  Thu,  9 Dec 2004 19:18:03 +0100
Obsolete in warty-release on 2008-01-09
gworkspace (0.6.3-2) unstable; urgency=low


  * debian/rules: Update CC (Closes: #242501).
  * debian/control: Update Build-Depends (Closes: #241839).

 -- Eric Heintzmann <email address hidden>  Sat, 10 Apr 2004 21:10:57 +0000
125 of 25 results